Opened 10 months ago

Closed 9 months ago

#2782 closed help (fixed)

packages for Rose 2019.01.0

Reported by: mjm Owned by: ros
Component: Rose/Cylc Keywords: python packages
Cc: Platform: Other
UM Version:

Description

I'm seeking to install rosie, rose and cylc on a university cluster, and am using conda to build an appropriate environment… I hope…

I have the following questions:

  • I am unclear how to install pygtk (Attempts with conda install gtk2, on the conda-forge channel failed: rose check-software did not recognise it. ". not ok (unknown version)")
  • I note cherrypy is in the cylc download, so have included its lib in the rose PYTHONPATH. Is that ok?
  • rose check-software indicates svn 1.8 is wanted. I assume it means that and the systems current 1.7 is inadequate.

Regards
Mike

Change History (2)

comment:1 Changed 10 months ago by ros

  • Owner changed from um_support to ros
  • Status changed from new to accepted

Hi Mike,

In response to your questions:

  • We have never installed pygtk using conda so unable to give any advise there i'm afraid. pygtk is the one package that is very likely to give lots of grief.
  • Yes that's fine to include the path to cherrypy in the rose PYTHONPATH.
  • Yes you will need svn-1.8 installed.

Sorry not to have been of more help.

Regards,
Ros.

comment:2 Changed 9 months ago by willie

  • Resolution set to fixed
  • Status changed from accepted to closed
Note: See TracTickets for help on using tickets.